import { SSTConstruct } from "./Construct";
declare type ExtractMetadata<T extends SSTConstruct> = ReturnType<T["getConstructMetadata"]> & {
    id: string;
    addr: string;
    stack: string;
};
import type { Api } from "./Api.js";
export declare type ApiMetadata = ExtractMetadata<Api<any>>;
import { GraphQLApi } from "./GraphQLApi.js";
export declare type GraphQLApiMetadata = ExtractMetadata<GraphQLApi>;
import type { ApiGatewayV1Api } from "./ApiGatewayV1Api.js";
export declare type ApiGatewayV1ApiMetadata = ExtractMetadata<ApiGatewayV1Api<any>>;
import type { Auth } from "./Auth.js";
export declare type AuthMetadata = ExtractMetadata<Auth>;
import type { AppSyncApi } from "./AppSyncApi.js";
export declare type AppSyncApiMetadata = ExtractMetadata<AppSyncApi>;
import type { Bucket } from "./Bucket.js";
export declare type BucketMetadata = ExtractMetadata<Bucket>;
import type { Cron } from "./Cron.js";
export declare type CronMetadata = ExtractMetadata<Cron>;
import type { EventBus } from "./EventBus.js";
export declare type EventBusMetadata = ExtractMetadata<EventBus>;
import type { Function as Fn } from "./Function.js";
export declare type FunctionMetadata = ExtractMetadata<Fn>;
import type { KinesisStream } from "./KinesisStream.js";
export declare type KinesisStreamMetadata = ExtractMetadata<KinesisStream>;
import type { NextjsSite } from "./NextjsSite.js";
export declare type NextjsMetadata = ExtractMetadata<NextjsSite>;
import type { Queue } from "./Queue.js";
export declare type QueueMetadata = ExtractMetadata<Queue>;
import type { StaticSite } from "./StaticSite.js";
export declare type StaticSiteMetadata = ExtractMetadata<StaticSite>;
import type { Table } from "./Table.js";
export declare type TableMetadata = ExtractMetadata<Table>;
import type { Topic } from "./Topic.js";
export declare type TopicMetadata = ExtractMetadata<Topic>;
import type { WebSocketApi } from "./WebSocketApi.js";
export declare type WebSocketApiMetadata = ExtractMetadata<WebSocketApi>;
import type { RDS } from "./RDS.js";
export declare type RDSMetadata = ExtractMetadata<RDS>;
export declare type Metadata = ApiMetadata | ApiGatewayV1ApiMetadata | AuthMetadata | AppSyncApiMetadata | BucketMetadata | CronMetadata | EventBusMetadata | FunctionMetadata | KinesisStreamMetadata | NextjsMetadata | QueueMetadata | StaticSiteMetadata | TableMetadata | TopicMetadata | WebSocketApiMetadata | GraphQLApiMetadata | RDSMetadata;
export {};
